[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'CalendarPopup' (#lcl)

# TReturnDateEvent

Specifies an event handler signalled when a date is selected on a pop-up calendar form.

## Declaration

Source position: calendarpopup.pas line 26

`type TReturnDateEvent = procedure(`
`Sender: TObject;`
`const Date: TDateTime`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification; normally the pop-up calendar form.
`Date` |  | TDateTime value for the date selected on the calendar form.

## Description

TReturnDateEvent specifies an event handler signalled when a date is selected on a pop-up calendar form. TReturnDateEvent is the type used to implement the OnReturnDate event handler in TCalendarPopupForm. Applications must implement an object procedure used to respond to the event notification. It is passed as an argument to the ShowCalendarPopup routine.

## See also

ShowCalendarPopup |  | Creates, configures, and displays a TCalendarPopupForm instance.